
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.benutzerverwaltung.BenutzerSearchView;

public class BenutzerSearchMenuItemEntry extends AbstractBenutzerMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public BenutzerSearchMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.BENUTZER_SEARCH;
  }

  @Override
  public String getTargetViewId() {
    return BenutzerSearchView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "benutzer.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconSearch();
  }
}
